diff -urN openwrt.ORG/target/linux/ramips/base-files/etc/board.d/01_leds openwrt/target/linux/ramips/base-files/etc/board.d/01_leds
--- openwrt.ORG/target/linux/ramips/base-files/etc/board.d/01_leds	2015-08-06 02:38:33.777886537 +0900
+++ openwrt/target/linux/ramips/base-files/etc/board.d/01_leds	2015-08-06 04:18:50.498130060 +0900
@@ -85,6 +85,9 @@
 		ucidef_set_led_default "power" "POWER" "d105:red:power" "1"
 		set_usb_led "d105:green:usb"
 		;;
+	db-wrt01)
+		ucidef_set_led_default "power" "power" "dbwrt01:white:power" "1"
+		;;
 	dcs-930l-b1)
 		ucidef_set_led_default "power" "POWER" "d-link:red:power" "1"
 		ucidef_set_led_netdev "wifi" "WiFi" "d-link:blue:wps"
diff -urN openwrt.ORG/target/linux/ramips/base-files/etc/board.d/02_network openwrt/target/linux/ramips/base-files/etc/board.d/02_network
--- openwrt.ORG/target/linux/ramips/base-files/etc/board.d/02_network	2015-08-06 02:38:33.777886537 +0900
+++ openwrt/target/linux/ramips/base-files/etc/board.d/02_network	2015-08-06 04:19:16.518131114 +0900
@@ -126,6 +126,7 @@
 
 	3g-6200n | \
 	ai-br100 | \
+	db-wrt01 | \
 	dir-610-a1 | \
 	dir-300-b7 | \
 	dir-320-b1 | \
diff -urN openwrt.ORG/target/linux/ramips/base-files/etc/diag.sh openwrt/target/linux/ramips/base-files/etc/diag.sh
--- openwrt.ORG/target/linux/ramips/base-files/etc/diag.sh	2015-08-06 02:38:33.777886537 +0900
+++ openwrt/target/linux/ramips/base-files/etc/diag.sh	2015-08-06 04:17:16.946126274 +0900
@@ -48,6 +48,9 @@
 	d105)
 		status_led="d105:red:power"
 		;;
+	db-wrt01)
+		status_led="dbwrt01:white:power"
+		;;
 	dcs-930 | dir-300-b1 | dir-600-b1 | dir-600-b2 | dir-610-a1 | dir-615-h1 | dir-615-d | dir-620-a1| dir-620-d1| dir-300-b7| dir-320-b1)
 		status_led="d-link:green:status"
 		;;
diff -urN openwrt.ORG/target/linux/ramips/base-files/lib/ramips.sh openwrt/target/linux/ramips/base-files/lib/ramips.sh
--- openwrt.ORG/target/linux/ramips/base-files/lib/ramips.sh	2015-08-06 02:38:33.789886538 +0900
+++ openwrt/target/linux/ramips/base-files/lib/ramips.sh	2015-08-06 04:15:28.574121888 +0900
@@ -211,6 +211,9 @@
 	*"Linksys RE6500")
 		name="re6500"
 		;;
+	*"Planex DB-WRT01")
+		name="db-wrt01"
+		;;
 	*"Planex MZK-750DHP")
 		name="mzk-750dhp"
 		;;
diff -urN openwrt.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh openwrt/target/linux/ramips/base-files/lib/upgrade/platform.sh
--- openwrt.ORG/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-08-06 02:38:33.789886538 +0900
+++ openwrt/target/linux/ramips/base-files/lib/upgrade/platform.sh	2015-08-06 04:16:01.006123200 +0900
@@ -36,6 +36,7 @@
 	cf-wr800n | \
 	d105 | \
 	dap-1350 | \
+	db-wrt01 | \
 	dcs-930 | \
 	dcs-930l-b1 | \
 	dir-300-b1 | \
diff -urN openwrt.ORG/target/linux/ramips/dts/DB-WRT01.dts openwrt/target/linux/ramips/dts/DB-WRT01.dts
--- openwrt.ORG/target/linux/ramips/dts/DB-WRT01.dts	1970-01-01 09:00:00.000000000 +0900
+++ openwrt/target/linux/ramips/dts/DB-WRT01.dts	2015-08-06 04:42:51.946188402 +0900
@@ -0,0 +1,99 @@
+/dts-v1/;
+
+/include/ "mt7620a.dtsi"
+
+/ {
+	compatible = "ralink,mt7620a-soc";
+	model = "Planex DB-WRT01";
+
+	palmbus@10000000 {
+		gpio1: gpio@638 {
+			status = "okay";
+		};
+
+		spi@b00 {
+			status = "okay";
+
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "en25q64";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "mx25l6405d";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x7b0000>;
+				};
+			};
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "i2c", "spi refclk", "rgmii1";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		pinctrl-names = "default";
+		pinctrl-0 = <&ephy_pins>;
+
+		mtd-mac-address = <&factory 0x4>;
+		ralink,port-map = "llllw";
+	};
+
+	gsw@10110000 {
+		ralink,port4 = "ephy";
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	pcie@10140000 {
+		status = "okay";
+	};
+	
+	gpio-leds {
+		compatible = "gpio-leds";
+		power {
+			label = "dbwrt01:white:power";
+			gpios = <&gpio1 1 1>;
+		};
+	};
+
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+		s1 {
+			label = "wps";
+			gpios = <&gpio0 2 1>;
+			linux,code = <0x211>;
+		};
+	};
+};
diff -urN openwrt.ORG/target/linux/ramips/image/Makefile openwrt/target/linux/ramips/image/Makefile
--- openwrt.ORG/target/linux/ramips/image/Makefile	2015-08-06 02:38:33.893886542 +0900
+++ openwrt/target/linux/ramips/image/Makefile	2015-08-06 04:14:04.850118499 +0900
@@ -857,6 +857,7 @@
 Image/Build/Profile/MT7620a_V22SG=$(call BuildFirmware/Default8M/$(1),$(1),mt7620a_v22sg,MT7620a_V22SG)
 br100_mtd_size=8126464
 Image/Build/Profile/AIBR100=$(call BuildFirmware/CustomFlash/$(1),$(1),ai-br100,AIBR100,$(br100_mtd_size),Ai-BR)
+Image/Build/Profile/DB-WRT01=$(call BuildFirmware/Default8M/$(1),$(1),db-wrt01,DB-WRT01)
 Image/Build/Profile/RP-N53=$(call BuildFirmware/Default8M/$(1),$(1),rp_n53,RP-N53)
 whr_300hp2_mtd_size=7012352
 Image/Build/Profile/WHR300HP2=$(call BuildFirmware/CustomFlash/$(1),$(1),whr-300hp2,WHR-300HP2,$(whr_300hp2_mtd_size))
@@ -895,6 +896,7 @@
 	$(call Image/Build/Profile/MT7620a_MT7530,$(1))
 	$(call Image/Build/Profile/MT7620a_V22SG,$(1))
 	$(call Image/Build/Profile/AIBR100,$(1))
+	$(call Image/Build/Profile/DB-WRT01,$(1))
 	$(call Image/Build/Profile/CF-WR800N,$(1))
 	$(call Image/Build/Profile/RP-N53,$(1))
 	$(call Image/Build/Profile/DIR-810L,$(1))
